import { defineMiddleware } from "astro/middleware"
import ResponseBuilder from '../libs/ResponseBuilder'

// `context` and `next` are automatically typed
export default defineMiddleware(async (context, next) => {
	context.locals.responseBuilder = new ResponseBuilder()

	return next()
})
